Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 704693 - Android 4.0 (Ice Cream Sandwich) uses tablet-only Honeycomb theme
: Android 4.0 (Ice Cream Sandwich) uses tablet-only Honeycomb theme
: regression, verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All Android
: -- normal (vote)
: Firefox 11
Assigned To: Matt Brubeck (:mbrubeck)
: 705991 (view as bug list)
Depends on: 708772
Blocks: 705026
  Show dependency treegraph
Reported: 2011-11-22 17:31 PST by Matt Brubeck (:mbrubeck)
Modified: 2013-12-10 10:00 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

use gingerbread theme on ice cream sandwich (3.08 KB, patch)
2011-11-22 17:31 PST, Matt Brubeck (:mbrubeck)
mark.finkle: review+
akeybl: approval‑mozilla‑beta+
akeybl: approval‑mozilla‑release+
Details | Diff | Splinter Review
Sample Fennec (XUL) on ICS (56.83 KB, image/png)
2011-11-22 18:15 PST, Aaron Train [:aaronmt]
no flags Details

Description Matt Brubeck (:mbrubeck) 2011-11-22 17:31:59 PST
Created attachment 576360 [details] [diff] [review]
use gingerbread theme on ice cream sandwich

XUL Fennec currently uses the "honeycomb" theme when running on Android 4.  Because this theme was only designed to work with the tablet UI and tablet screen sizes, many things have the wrong colors or layout when using it on phones.

One quick fix for Android 4 phones would be be to use the Gingerbread theme on Android 4 devices.  However, this will cause theme regressions on tablets running Android 4, whenever that happens (possibly soon).  A better fix would require us to switch themes based on the type of device.

Anyway, here's a simple patch to always use the gingerbread theme on ICS, but I'm not sure we want to land this.
Comment 1 Aaron Train [:aaronmt] 2011-11-22 18:15:09 PST
Created attachment 576378 [details]
Sample Fennec (XUL) on ICS

Sample screenshot of Nightly (XUL) on Sammich
Comment 2 Matt Brubeck (:mbrubeck) 2011-11-22 18:34:26 PST
I think a better solution would be one of the following:

1) Add a new manifest flag (alongside "os" and "osversion") to distinguish tablets from small-screen devices.  Use the "honeycomb" theme on all tablet devices and the "froyo" or "gingerbread" themes on all small-screen devices.

2) Combine the gingerbread and honeycomb themes into a single theme directory that uses CSS media queries (or other selectors) to determine which set of styles to use.

3) Add some code to change the default of the general.skins.selectedSkin pref from "classic/1.0" to "honeycomb/1.0" when running on a tablet device, regardless of OS version.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-23 21:54:36 PST
Comment on attachment 576360 [details] [diff] [review]
use gingerbread theme on ice cream sandwich

I'd be willing to try this. No one would try to say this is an ideal solution, but it should be OK for the short term.

The other solutions involve more work and testing, which might be better spent moving the native version along faster for ICS.
Comment 4 Aaron Train [:aaronmt] 2011-11-25 09:13:53 PST
Push for 9.0b4?
Comment 6 Matt Brubeck (:mbrubeck) 2011-11-28 11:54:06 PST
Comment on attachment 576360 [details] [diff] [review]
use gingerbread theme on ice cream sandwich

Requesting approval for Beta 9 and Aurora 10.  This is a mobile-only manifest change that prevents Firefox from using a broken theme on Android 4.0 phones.

This patch creates a new risk that Firefox's theme will regress when Android 4.0 is shipped on tablets.  We don't know exactly when that will happen.  If we don't have a shippable native tablet UI by the time it does, then we can work on fixing that problem separately.  However, we believe this is the best (lowest-risk) short-term fix to make Firefox usable on Android 4.0 phones that are shipping today.
Comment 7 Marco Bonardo [::mak] 2011-11-29 04:53:50 PST
Comment 8 Matt Brubeck (:mbrubeck) 2011-11-29 08:34:47 PST
*** Bug 705991 has been marked as a duplicate of this bug. ***
Comment 9 Matt Brubeck (:mbrubeck) 2011-12-01 12:45:18 PST
Any feedback from the product or channel teams on this?  We'd like to land this on beta soon to prevent Firefox 9 from being released with a broken experience on the Galaxy Nexus.  See attachment 576378 [details] for a screen shot of what we are currently shipping in Firefox 9.
Comment 10 Alex Keybl [:akeybl] 2011-12-01 14:23:36 PST
Comment on attachment 576360 [details] [diff] [review]
use gingerbread theme on ice cream sandwich

[Triage Comment]
Let's take this on aurora and beta for OS compatibility.
Comment 11 Jay Sullivan 2011-12-02 09:33:28 PST
It sounds like this is the best option we have for now, so let's go ahead.
Comment 13 Aaron Train [:aaronmt] 2011-12-07 13:18:40 PST
Tried this out on the Nexus S (Android 4.0.1); verified-fixed over beta-channel

Mozilla/5.0 (Android; Linux armv7l; rv:9.0) Gecko/20111206 Firefox/9.0 Fennec/9.0

Note You need to log in before you can comment on or make changes to this bug.